#include <stm32f10x.h>
#include "usart.h"
#include "delay.h"
#include "tlc1543.h"
#include <stdio.h>
//#define CTRT

uint8_t TxBuffer[] = "\n\rUSART Hyperterminal Hardware Flow Control Example: USART - \
Hyperterminal communication using hardware flow control\n\r";

#ifndef CTRT 

void NVIC_Configuration(void)
{
  NVIC_InitTypeDef NVIC_InitStructure;	
  
  NVIC_SetVectorTable(NVIC_VectTab_FLASH, 0x0000);

  NVIC_PriorityGroupConfig(NVIC_PriorityGroup_1);

  NVIC_InitStructure.NVIC_IRQChannel = USART1_IRQn;
  NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 1;
  NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0;
  NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;  
  NVIC_Init(&NVIC_InitStructure);
}
#endif

int main(void)
{
	u16 dat;
	float dat_temp;
	SystemInit();
	delay_init();
	usart_Configuration();	
	NVIC_Configuration();
	tlc1543_gpioinit();
	printf("Waveshare!\r\n");
  	while(1)
	{
		dat=ADCSelChannel(10);
		dat_temp=(float)dat*3.3/1024.0;
		printf("temperature=%4.2fV \r\n",dat_temp);
		delay_ms(500);
	}

}

